OGRE-Next: Ogre::AbsolutePixelCountLodStrategy Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::AbsolutePixelCountLodStrategy Class Reference

The AbsolutePixelCountLodStrategy class LOD strategy that works like ScreenRatioPixelCountLodStrategy, but in range [-width * height;0] instead of [-1.0;0.0]. More...

`#include <OgrePixelCountLodStrategy.h>`

Inheritance diagram for Ogre::AbsolutePixelCountLodStrategy:
[legend]

## Public Member Functions
| AbsolutePixelCountLodStrategy ()
| Default constructor.
Real | getValueImpl (const MovableObject *movableObject, const Camera *camera) const override
| Compute the LOD value for a given movable object relative to a given camera.
void | lodUpdateImpl (const size_t numNodes, ObjectData t, const Camera *camera, Real bias) const override
Public Member Functions inherited from Ogre::PixelCountLodStrategyBase
| PixelCountLodStrategyBase (const String &name)
| Default constructor.
Real | getBaseValue () const override
| Get the value of the first (highest) level of detail.
Real | transformBias (Real factor) const override
| Transform LOD bias so it only needs to be multiplied by the LOD value.
Real | transformUserValue (Real userValue) const override
| Transform user supplied value to internal value.
Public Member Functions inherited from Ogre::LodStrategy
| LodStrategy (const String &name)
| Constructor accepting name.
virtual | ~LodStrategy ()
| Virtual destructor.
const String & | getName () const
| Get the name of this strategy.
Real | getValue (const MovableObject *movableObject, const Camera *camera) const
| Compute the LOD value for a given movable object relative to a given camera.
Public Member Functions inherited from Ogre::Singleton< AbsolutePixelCountLodStrategy >
| Singleton ()
| ~Singleton ()

## Static Public Member Functions
static AbsolutePixelCountLodStrategy & | getSingleton ()
| Override standard Singleton retrieval.
static AbsolutePixelCountLodStrategy * | getSingletonPtr ()
| Override standard Singleton retrieval.
Static Public Member Functions inherited from Ogre::LodStrategy
static void | lodSet (ObjectData &t, Real lodValues[ARRAY_PACKED_REALS])
Static Public Member Functions inherited from Ogre::Singleton< AbsolutePixelCountLodStrategy >
static AbsolutePixelCountLodStrategy & | getSingleton ()
static AbsolutePixelCountLodStrategy * | getSingletonPtr ()

## Detailed Description

The AbsolutePixelCountLodStrategy class LOD strategy that works like ScreenRatioPixelCountLodStrategy, but in range [-width * height;0] instead of [-1.0;0.0].

Because this strategy heavily depends on target resolution, it is strongly recommended that you use ScreenRatioPixelCountLodStrategy instead.

## Constructor & Destructor Documentation

## ◆ AbsolutePixelCountLodStrategy()

Ogre::AbsolutePixelCountLodStrategy::AbsolutePixelCountLodStrategy | ( |  | ) |

Default constructor.

Referenced by getSingleton(), and getSingletonPtr().

## Member Function Documentation

## ◆ getSingleton()

static AbsolutePixelCountLodStrategy & Ogre::AbsolutePixelCountLodStrategy::getSingleton | ( |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References AbsolutePixelCountLodStrategy().

## ◆ getSingletonPtr()

static AbsolutePixelCountLodStrategy * Ogre::AbsolutePixelCountLodStrategy::getSingletonPtr | ( |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References AbsolutePixelCountLodStrategy().

## ◆ getValueImpl()

Real Ogre::AbsolutePixelCountLodStrategy::getValueImpl | ( | const MovableObject * | movableObject,
|  | const Camera * | camera ) const
| overridevirtual

Compute the LOD value for a given movable object relative to a given camera.

Implements Ogre::LodStrategy.

## ◆ lodUpdateImpl()

void Ogre::AbsolutePixelCountLodStrategy::lodUpdateImpl | ( | const size_t | numNodes,
|  | ObjectData | t,
|  | const Camera * | camera,
|  | Real | bias ) const
| overridevirtual

Implements Ogre::LodStrategy.

The documentation for this class was generated from the following file:

- OgrePixelCountLodStrategy.h